<script>
    function editProveedor(id, nombre, url, email, telefono) {
        try {
            // Asegúrate de que los elementos con estos IDs existen en el HTML
            $('#editnombre').val(nombre);
            $('#editurl').val(url);
            $('#editemail').val(email);
            $('#edittelefono').val(telefono);
            $('#editid').val(id);
    
            // Mostrar el modal
            $('#editProveedor').modal('show');
        } catch (error) {
            console.log('ERROR');
            console.error(error);
        }
    }

    
</script>